GuidesAPI Reference
Guides

Stations Count



This resource returns the number of available charging stations for electric vehicles that match the specified criteria.

Requests for this resource use the HTTP GET method. The search criteria are specified with query parameters, which must include a search geometry.

A search geometry can be one of:

  • prox – a circular area defined by the coordinates of its center and a radius.
  • corridor– a path defined by a set of points (latitude, longitude pairs) and a width.
  • bbox – a square defined by its top left latitude and longitude and its bottom right latitude and longitude.

📘

Note

Filtering criteria do not apply in counting requests.


Request Example

The following code block shows a count request, using a bearer token, for charging stations in Berlin.

GET 
https://ev-v2.cc.api.here.com/ev/stations/count.xml
?prox=52.516667,13.383333,5000
-H 'Authorization: Bearer {YOUR_TOKEN}'

The code block below shows a count request, using an API key, for charging stations in Berlin.

GET
https://ev-v2.cc.api.here.com/ev/stations/count.xml
?prox=52.516667,13.383333,5000&apiKey={YOUR_API_KEY};

Request Parameters

The following table below documents mandatory and optional request parameters.

Parameter

Required

Description

app_id - Legacy

Yes

A-20 byte Base64 URL-safe encoded string used for the authentication of the client application.

You must include an app_id and app_code with every request. For more information on authentication, see the Identity & Access Management Developer Guide .

app_code - Legacy

Yes

A-20 byte Base64 URL-safe encoded string used for the authentication of the client application.

You must include an app_id and app_code with every request. For more information on authentication, see the Identity & Access Management Developer Guide .

prox

Requests must use one of prox, bbox, or corridor

A circular search area defined by the latitude and longitude of its center and an integer representing the radius of the area in meters, all separated by commas. The center point's coordinates must be WGS84 compliant. As an example, prox=52.516667,13.383333,5000 searches for charging stations within 5 kilometers of latitude 52.50° N and 13.55 ° E. The radius can have a maximum of 200 kilometers.

bbox

Requests must use one of prox, bbox, or corridor

A bounding box defined by the latitude and longitude coordinates of its top left and bottom right corners. Coordinates must be WGS84 compliant. The top left and bottom right pairs are separated by a semicolon and the latitude/longitude pairs are separated by commas. For example, one possible bounding box value is bbox=52.8,11.37309;52.31,13.2. The bounding box can have a maximum height and/or width of 400km. If this limit is exceeded, the service responds with 'HTTP 400 Bad Request' response.

corridor

Each request requires one of prox, bbox or corridor

A rectangular area defined by a semicolon-separated list of points, or pairs of comma-separated latitude and longitude coordinates that are WGS84 compliant. For example, corridor=52.51666,13.38333; 52.13333,11.61666; 53.56527,10.00138 specifies a journey from Berlin to Hamburg via Magdeburg. The maximum corridor area is 5000 square kilometers. If this limit is exceeded, the service responds with 'HTTP 400 Bad Request' response. Requests to the stations/count resource have a maximum size of 4 kb. If the URL size exceeds 4 kb (approximately 4000 characters in length), use the POST HTTP method for this resource. Since the corridor query parameter can contain a large amount of information, avoid using more than 150 points (latitude/longitude pairs with an accuracy of 5 decimal points - for example, 11.37309). However, also note that the amount of data you can include depends on the exact formulation of the request.

corridorwidth

Optional

The width of the corridor in meters. This parameter only applies if corridor is included in the request. The maximum corridor width is 20 km. The default width is 5000 meters.

powermin

Optional

At least one connector in the station must have a maxPowerLevel value greater than or equal to this parameter. Accepted values are floats, such as powermin=11.6.

powermax

Optional

At least one connector in the station must have a maxPowerLevel value less than or equal to this parameter. Accepted values are floats, such as powermax=55.3.


Response to this Request

For more information on responses to queries against the stations/count resource, see Stations Count Response.